package com.yizhi.calendar.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.calendar.application.vo.CalendarChartVO;
import com.yizhi.calendar.application.vo.CalendarStatisticVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

@FeignClient(name = "calendar", contextId = "CalendarStatisticClient")
public interface CalendarStatisticClient {

	/**
	 * 打卡报表折线图
	 * 
	 * @param startDate
	 * @param endDate
	 * @return
	 */
	@GetMapping("/statistic/calendar/chart")
	public List<CalendarChartVO> signChart(@RequestParam(name = "startDate", required = true) String startDate,
			@RequestParam(name = "endDate", required = true) String endDate);

	@GetMapping("/statistic/calendar/list")
	public Page<CalendarStatisticVO> list(@RequestParam(name = "startDate", required = true) String startDate,
			@RequestParam(name = "endDate", required = true) String endDate,
			@RequestParam(name = "kwd", required = false) String kwd,
			@RequestParam(name = "pageSize", required = false, defaultValue = "10") Integer pageSize,
			@RequestParam(name = "pageNo", required = false, defaultValue = "1") Integer pageNo);

	@GetMapping("/statistic/calendar/list/export")
	public Map<String, Object> listExport(@RequestParam(name = "startDate", required = true) String startDate,
			@RequestParam(name = "endDate", required = true) String endDate,
			@RequestParam(name = "kwd", required = false) String kwd);

	@GetMapping("/statistic/calendar/account/export")
	public Map<String, Object> accountExport(@RequestParam(name = "startDate", required = true) String startDate,
			@RequestParam(name = "endDate", required = true) String endDate,
			@RequestParam(name = "userId", required = true) Long userId);

	@GetMapping("/statistic/calendar/detail/export")
	public Map<String, Object> detailExport(@RequestParam(name = "startDate", required = true) String startDate,
			@RequestParam(name = "endDate", required = true) String endDate,
			@RequestParam(name = "kwd", required = false) String kwd);
}
