package com.yizhi.calendar.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 日历打卡积分发放设置表
 * </p>
 *
 * @author fulan123
 * @since 2019-10-10
 */
@Data
@ApiModel(value = "Calendar", description = "日历打卡积分设置表")
@TableName("calendar")
public class Calendar {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "首次打卡积分")
	@TableField("first_point")
	private Integer firstPoint;

    @ApiModelProperty(value = "积分设置类型（1连续递增，2自定义）")
	@TableField("set_type")
	private Integer setType;

    @ApiModelProperty(value = "状态 0 删除 1 有效 默认有效")
	private Integer state;

    @ApiModelProperty(value = "周期持续天数 默认不限制")
	private Long cycle;

    @ApiModelProperty(value = "企业ID")
	@TableField("company_id")
	private Long companyId;

    @ApiModelProperty(value = "站点ID")
	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "部门ID")
	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "创建人ID")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建人名字")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

    @ApiModelProperty(value = "修改人名字")
	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

}
