package com.yizhi.calendar.application.service;

import com.yizhi.calendar.application.domain.Calendar;
import com.yizhi.calendar.application.domain.CalendarPointSet;
import com.yizhi.calendar.application.domain.CalendarRecord;
import com.yizhi.calendar.application.vo.CalendarChartVO;
import com.yizhi.calendar.application.vo.CalendarDetailStatisticVO;
import com.yizhi.calendar.application.vo.CalendarSignViewVO;
import com.yizhi.calendar.application.vo.CalendarStatisticVO;
import com.yizhi.calendar.application.vo.HeadVO;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 日历打卡记录表 服务类
 * </p>
 *
 * @author fulan123
 * @since 2019-10-10
 */
public interface ICalendarRecordService extends IService<CalendarRecord> {

	public Map<String, Object> sign(Long accountId, Long siteId, Calendar calendar, List<CalendarPointSet> list);

	public CalendarSignViewVO isSign(Long accountId, Long siteId, Calendar calendar, List<CalendarPointSet> list);

	public HeadVO getHeadData(Long accountId, Long siteId);

	public Page<CalendarRecord> getSignDetailByAccountId(Long accountId, Long siteId, Integer type, Integer pageNo,
			Integer pageSize);

	public List<CalendarRecord> getSignByMonth(String month, Long accountId, Long siteId);

	public List<CalendarChartVO> signChart(String startDate, String endDate, Long companyId, Long siteId);

	public List<CalendarStatisticVO> list(String startDate, String endDate, String kwd, Long companyId, Long siteId);

	public List<CalendarRecord> accountList(String startDate, String endDate, Long accountId, Long companyId, Long siteId);

	public List<CalendarDetailStatisticVO> detailList(String startDate, String endDate, Long companyId, Long siteId,String kwd);
	
	public Map<Long, Long> signNum(List<Long> siteIds,String startDate,String endDate);
}
